.eg-upload-iframe {
    border: none;
    width: auto;
    height: auto;
    position: absolute;
    left: -10px;
    top: -10px;
    right: 0;
    bottom: 0;
    overflow: hidden;
    opacity: 0;
    cursor: pointer;
}

body.eg-upload-iframe-content form {
    line-height: 0.9rem;
    font-size: 1rem;
    background-color: var(--panel-bg-color);
    color: var(--panel-text-color);
}

.eg-da-popup .eg-da-search input {
    width: 100%;
    box-sizing: border-box;
    border-radius: 5px;
    border: 1px solid #ccc;
    padding: 8px 35px 8px 8px;
    font-size: 1em;
    line-height: 1em;
}

.eg-da-popup .select-column,
.eg-da-popup .eg-da-list-table .eg-da-list-th.select-column,
.eg-da-popup .eg-da-list-item-checkbox.select-column {
    display: none;
}

.eg-da-popup .has-select-column .select-column,
.eg-da-popup .eg-da-list-table.has-select-column .eg-da-list-th.select-column,
.eg-da-popup .has-select-column .eg-da-list-item-checkbox.select-column {
    display: table-cell;
}

.eg-da-popup .eg-da-list-table {
    display: table;
    width: 100%;
    box-sizing: border-box;
    margin-top: 20px;
    gap: 5px;
}

.eg-da-popup .eg-da-list-table-header,
.eg-da-popup .eg-da-list-item {
    display: table-row;
}

.eg-da-popup .eg-da-list-table .eg-da-list-th {
    display: table-cell;
    font-weight: bold;
    padding: 5px;
    text-align: center;
}

.eg-da-popup .eg-da-list-table .eg-da-list-th.sortable {
    cursor: pointer;
}

.eg-da-popup .eg-da-list-items {
    display: table-row-group;
}

.eg-da-popup .eg-da-list-item > div {
    display: table-cell;
    padding: 5px;
    vertical-align: middle;
}

.eg-da-popup .eg-da-list-items .select-column input {
    padding: 5px;
    cursor: pointer;
}

.eg-da-popup .eg-da-list-item-checkbox {
    width: 35px;
}

.eg-da-popup .eg-da-list-item-preview {
    width: 80px;
    cursor: pointer;
}

.eg-da-popup .eg-da-list-item-size {
    white-space: nowrap;
    text-align: right;
}

.eg-da-popup .eg-da-list-th.actions {
    width: 30px;
}

.eg-da-popup .eg-da-list-item-actions {
    white-space: nowrap;
    position: relative;
}

.eg-da-popup .eg-da-item-preview-image {
    width: 80px;
    height: 80px;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: contain;
}

.eg-da-popup .eg-da-item-preview-file {
    text-align: center;
    font-style: italic;
    font-size: 1.2em;
    font-weight: bold;
}

.eg-da-popup .eg-da-search {
    position: relative;
}

.eg-da-popup .eg-da-search-icon {
    display: none;
    position: absolute;
    right: 3px;
    top: 3px;
    width: 30px;
    height: 30px;
    font-size: 18px;
    font-weight: normal;
    text-align: center;
    line-height: 30px;
    cursor: pointer;
}

.eg-da-popup .eg-da-search.no-search-query .eg-da-search-icon.search,
.eg-da-popup .eg-da-search.has-search-query .eg-da-search-icon.reset {
    display: block;
}

.eg-da-popup .btn-transparent {
    background-color: transparent;
}

.eg-da-popup .eg-da-list-header {
    display: table;
    width: 100%;
    box-sizing: border-box;
    position: sticky;
    top: 0px;
    background-color: var(--panel-bg-color);
}

.eg-da-popup .eg-da-list-header > div {
    display: table-cell;
    vertical-align: middle;
}

.eg-da-popup .eg-da-list-header .eg-da-add-new {
    width: 30px;
    padding-left: 3px;
}

.eg-da-popup .modal-body {
    max-height: 80vh;
    overflow-y: scroll;
    position: relative;
}

.eg-da-popup .eg-da-list-ui {
    position: relative;
}

.eg-da-popup .eg-da-list-more {
    margin-top: 20px;
    margin-bottom: 20px;
    text-align: center;
}

.eg-da-loading {
    position: relative;
    display: table;
    width: 100%;
    left: 0;
    right: 0;
    top: 100px;
    bottom: 0;
    opacity: 0.85;
    margin: 0 auto;
    text-align: center;
    box-sizing: border-box;
    background-color: var(--panel-bg-color);
    color: var(--panel-text-color);
    border-radius: 10px;
}

.eg-da-loading .eg-da-loading-wrapper {
    display: table-cell;
    vertical-align: middle;
    text-align: center;
    padding-bottom: 10px;
    padding-top: 10px;
}

.eg-da-loading .eg-da-loading-animation {
    display: inline-block;
    width: 40px;
    height: 40px;
    border-radius: 20px;
    border: 5px solid #999;
    border-right-color: #555;
    animation: loading-rotation 2s linear infinite;
    margin-top: 10px;
    margin-bottom: 10px;
    opacity: 0.5;
}

.eg-da-loading .eg-da-loading-content {
    display: block;    
}

@keyframes loading-rotation {
  0% {transform: rotate(0deg); opacity: 0.8;}
  50% {transform: rotate(180deg); opacity: 0.5z;}
  100% {transform: rotate(360deg); opacity: 0.8;}
}


.eg-da-rename-ui input {
    width: 100%;
    box-sizing: border-box;
}